KDED4(8)

NAME
kded4 - servidor do KDE - despoleta as actualizações da base de dados Sycoca quando for necessário.

SINTAXE

kded4 [--help] [Opções genéricas] [Opções do Qt] [Opções do KDE] [--check]

DESCRIçãO

O kded4 é responsável por criar o ficheiro 'sycoca', i.e., a 'cache' binária de tipos de serviços, tipos MIME e serviços para um determinado utilizador.

Este vigia as pastas que contêm ficheiros '.desktop'. Quando for adicionado/removido um ficheiro, ele espera alguns 5 segundos (para o caso de ser uma série de actualizações) e invoca depois o kbuildsycoca4.

Verifica os ficheiros de actualizações acabados de instalar, i.e., os ficheiros *.upd que são usados para actualizar os ficheiros de configuração dos utilizadores quando os formato dos ficheiros de configuração mudam. O kconf_update é lançado para efectuar as actualizações.

Quando o nome da máquina muda, irá efectuar as alterações necessárias no ambiente do KDE e no servidor de X para permitir uma operação adequada em contínuo, invocando o kdontchangethehostname para efectuar as alterações.

Estas tarefas também são sempre efectuadas no arranque do 'kded4' para garantir que a configuração do utilizador está actualizada.

Também é responsável pela invocação dos módulos do 'kded4' a pedido e dos activados pelo mesmo, como:

Pré-Carregamento do Navegador Konqueror
    Reduz o tempo de arranque do Konqueror.

Vigilante de Pastas
    Analisa alterações nas pastas indicadas.

Detecção de 'Hardware'
    Oferece uma interface de utilizador para os eventos de 'hardware'.

Política de Certificados de SSL
    Oferece a política de certificados SSL configurada pelo utilizador às aplicações.

Configuração do 'Proxy' de Rede
    Configuração automática do 'proxy'.

'Cache' de Senhas
    A 'cache' temporária das senhas; por exemplo: uma página Web com autenticação por HTTP não lhe pede de novo a sua senha para todas as ligações e imagens na página. Estas senhas são descartadas ao sair do KDE (ao contrário do KWallet)

Política de Som
    Oferece a política do sistema de som às aplicações.

Favicons
    Guarda os ícones das páginas Web.

Gestão do Ecrã
    Faz a gestão dos ecrãs e saídas de vídeo.

Armazém de 'cookies'
    Guarda os 'cookies' da rede.

Vigilante da Rede
    Faz o seguimento da rede e actualiza as listagens de pastas do 'KIO slave' network:/.

Módulo do Subversion
    Oferece várias acções do Subversion ao gestor de ficheiros e às outras aplicações.

Estado da Rede
    Segue o estado das interfaces de rede e fornece notificações para as aplicações que usam a rede.

Servidor do 'Write'
    Vigia as mensagens dos utilizadores locais que são enviadas com o write(1) ou o wall(1).

Vigilante da área de notificações
    Mantém um registo das aplicações que desejam usar a área de notificações baseada em D-Bus.

KMixD
    Serviço de Mistura de Som KMixD

Servidor da bandeja do sistema
    Mantém um registo das aplicações que desejam usar a bandeja do sistema baseada em D-Bus.

Servidor do Teclado
    Faz o seguimento das alterações do teclado (novo teclado, mudança de disposição)

Notificação da Mudança do URL Remoto
    Fornece notificações de mudança nas pastas de rede

Gestor de Actividades
    A infra-estrutura do gestor de actividades do Nepomuk

Monitor de Alterações da Gestão do Ecrã
    Notifica como é que o ecrã foi rodado (quando possível)

Notificação de Espaço Livre
    Avisa quando estiver a ficar sem espaço na sua pasta pessoal.

Auto-Montagem de Dispositivos Removíveis
    Monta os dispositivos automaticamente de acordo com as necessidades.

Módulo de Pesquisa do Nepomuk
    Módulo auxiliar do KIO para garantir as actualizações automáticas das listagens de pesquisa do Nepomuk.

Gestão de Energia
    Gestão e notificações de energia do CPU, do ecrã e da bateria.

Servidor de Comandos à Distância do KDE
    Faz a gestão dos dados recebidos de Comandos à Distância

Gestor de Notificação do Estado
    Faz a gestão dos serviços que fornecem interfaces de utilizador para notificações de estado.

Monitor de Descoberta de Serviços DNS-SD
    Vigia a rede à procura de serviços de DNS-SD.

Ejecção do Disco
    Desmonta e ejecta automaticamente as unidades quando o seu botão de ejecção é carregado.

Fuso-horário
    Fornece o acesso aos fusos-horários do sistema nas aplicações.

Acções de Entrada
    Um serviço de Acções de Entrada que efectua determinadas acções ao carregar em algumas teclas.

Os módulos iniciais podem ser activados ou desactivados com o systemsettings, em System Administration → Arranque e Paragem → Gestor de Serviços.

OPçõES GENéRICAS

--author
    Mostra informações sobre o autor.

--help
    Mostra a ajuda acerca das opções.

--help-all
    Mostra todas as opções.

--help-kde
    Mostra opções específicas do KDE.

--help-qt
    Mostra as opções específicas do Qt.

--license
    Mostra informações acerca da licença.

-v --version
    Mostra a versão.

OPçõES DA APLICAçãO

--check
    Verifica a base de dados do Sycoca apenas uma vez.

UTILIZAçãO

Se o kded4 for invocado sem parâmetros e já estiver em execução, mostrará a mensagem:

    «KDE Daemon (kded) already running». (O Servidor do KDE (kded) já está em execução).

Se o kded4 for invocado com o kded4 --check, então irá actualizar a base de dados do KDE com o kbuildsycoca4.

VEJA TAMBéM

opções-do-kde(7), opções-do-qt(7), kbuildsycoca4(8)

PROBLEMAS

Existem provavelmente bastantes erros. Use o bugs.kde.org[1] para os comunicar.

AUTHORS

David Faure <faure@kde.org>
    Author.

Waldo Bastian <bastian@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org